# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakePlane Class Reference

This class implements the mapping between classes
Plane from Geom and Pln from gp, and the class
Plane from StepGeom which describes a plane from
Prostep.
.

`#include <GeomToStep_MakePlane.hxx>`

Inheritance diagram for GeomToStep_MakePlane:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakePlane (const gp_Pln &P)
Standard_EXPORT | GeomToStep_MakePlane (const Handle(Geom_Plane)&P)
Standard_EXPORT const Handle_StepGeom_Plane & | Value () const

## Private Attributes

Handle_StepGeom_Plane | thePlane

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakePlane::GeomToStep_MakePlane | ( | const gp_Pln & | P | ) |

Standard_EXPORT GeomToStep_MakePlane::GeomToStep_MakePlane | ( | const Handle(Geom_Plane)& | P | ) |

## Member Function Documentation

void GeomToStep_MakePlane::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakePlane::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakePlane::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Plane& GeomToStep_MakePlane::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Plane GeomToStep_MakePlane::thePlane `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakePlane.hxx